<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_241) on Mon Jun 01 22:47:21 CEST 2020 -->
<title>U-Index</title>
<meta name="date" content="2020-06-01">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="U-Index";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="index-14.html">Prev Letter</a></li>
<li><a href="index-16.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-files/index-15.html" target="_top">Frames</a></li>
<li><a href="index-15.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="contentContainer"><a href="index-1.html">A</a>&nbsp;<a href="index-2.html">C</a>&nbsp;<a href="index-3.html">D</a>&nbsp;<a href="index-4.html">E</a>&nbsp;<a href="index-5.html">F</a>&nbsp;<a href="index-6.html">G</a>&nbsp;<a href="index-7.html">H</a>&nbsp;<a href="index-8.html">I</a>&nbsp;<a href="index-9.html">L</a>&nbsp;<a href="index-10.html">M</a>&nbsp;<a href="index-11.html">N</a>&nbsp;<a href="index-12.html">R</a>&nbsp;<a href="index-13.html">S</a>&nbsp;<a href="index-14.html">T</a>&nbsp;<a href="index-15.html">U</a>&nbsp;<a href="index-16.html">V</a>&nbsp;<a href="index-17.html">Y</a>&nbsp;<a name="I:U">
<!--   -->
</a>
<h2 class="title">U</h2>
<dl>
<dt><span class="memberNameLink"><a href="../com/app/service/ShowRenderingService.html#updateVideo-java.lang.Integer-java.lang.String-">updateVideo(Integer, String)</a></span> - Method in class com.app.service.<a href="../com/app/service/ShowRenderingService.html" title="class in com.app.service">ShowRenderingService</a></dt>
<dd>
<div class="block">Method that redirects to the method that updates the parameter of the video object with regard to given action</div>
</dd>
<dt><a href="../com/app/servlet/UpdateVideoServlet.html" title="class in com.app.servlet"><span class="typeNameLink">UpdateVideoServlet</span></a> - Class in <a href="../com/app/servlet/package-summary.html">com.app.servlet</a></dt>
<dd>
<div class="block">UpdateVideoServlet is a class that redirects the request to the displayUpdatedVideos page.</div>
</dd>
<dt><span class="memberNameLink"><a href="../com/app/servlet/UpdateVideoServlet.html#UpdateVideoServlet--">UpdateVideoServlet()</a></span> - Constructor for class com.app.servlet.<a href="../com/app/servlet/UpdateVideoServlet.html" title="class in com.app.servlet">UpdateVideoServlet</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/app/dao/FetchingDataDao.html#updateVideoWithLikeOrDislike-java.lang.Integer-java.lang.String-">updateVideoWithLikeOrDislike(Integer, String)</a></span> - Method in class com.app.dao.<a href="../com/app/dao/FetchingDataDao.html" title="class in com.app.dao">FetchingDataDao</a></dt>
<dd>
<div class="block">Method that deals with video object manipulation in terms of its number of likes, dislikes and existance in the database.</div>
</dd>
<dt><a href="../com/app/beans/User.html" title="class in com.app.beans"><span class="typeNameLink">User</span></a> - Class in <a href="../com/app/beans/package-summary.html">com.app.beans</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/app/beans/User.html#User-java.lang.Integer-java.lang.String-java.lang.Integer-">User(Integer, String, Integer)</a></span> - Constructor for class com.app.beans.<a href="../com/app/beans/User.html" title="class in com.app.beans">User</a></dt>
<dd>
<div class="block">Parameterised constructor for creating User object.</div>
</dd>
<dt><a href="../com/app/servlet/UserMoodServlet.html" title="class in com.app.servlet"><span class="typeNameLink">UserMoodServlet</span></a> - Class in <a href="../com/app/servlet/package-summary.html">com.app.servlet</a></dt>
<dd>
<div class="block">UserMoodServlet is a class that redirects the request to the userMood page.</div>
</dd>
<dt><span class="memberNameLink"><a href="../com/app/servlet/UserMoodServlet.html#UserMoodServlet--">UserMoodServlet()</a></span> - Constructor for class com.app.servlet.<a href="../com/app/servlet/UserMoodServlet.html" title="class in com.app.servlet">UserMoodServlet</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../com/app/service/UserValidationService.html" title="class in com.app.service"><span class="typeNameLink">UserValidationService</span></a> - Class in <a href="../com/app/service/package-summary.html">com.app.service</a></dt>
<dd>
<div class="block">Class that velidates the user input in the login page.</div>
</dd>
<dt><span class="memberNameLink"><a href="../com/app/service/UserValidationService.html#UserValidationService--">UserValidationService()</a></span> - Constructor for class com.app.service.<a href="../com/app/service/UserValidationService.html" title="class in com.app.service">UserValidationService</a></dt>
<dd>&nbsp;</dd>
</dl>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">C</a>&nbsp;<a href="index-3.html">D</a>&nbsp;<a href="index-4.html">E</a>&nbsp;<a href="index-5.html">F</a>&nbsp;<a href="index-6.html">G</a>&nbsp;<a href="index-7.html">H</a>&nbsp;<a href="index-8.html">I</a>&nbsp;<a href="index-9.html">L</a>&nbsp;<a href="index-10.html">M</a>&nbsp;<a href="index-11.html">N</a>&nbsp;<a href="index-12.html">R</a>&nbsp;<a href="index-13.html">S</a>&nbsp;<a href="index-14.html">T</a>&nbsp;<a href="index-15.html">U</a>&nbsp;<a href="index-16.html">V</a>&nbsp;<a href="index-17.html">Y</a>&nbsp;</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="index-14.html">Prev Letter</a></li>
<li><a href="index-16.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-files/index-15.html" target="_top">Frames</a></li>
<li><a href="index-15.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
